/*
 *  $Id: group_free.c,v 1.4 1994/02/02 21:14:22 lusk Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */


#include <mpi.h>

/*@

MPI_Group_free - 

@*/
int MPI_Group_free ( group )
MPI_Group *group;
{
  if ( (group != (MPI_Group *)0) && ((*group) != (MPI_Group)0) ) {
    if ( (*group)->ref_count <= 1 ) 
      MPIR_FreeGroup(*group);
    else 
      (*group)->ref_count--;
    (*group) = NULL;
  }
  return (MPI_SUCCESS);
}
